#ifndef __AIPLAY_OPENGLES_CTX_H__
#define __AIPLAY_OPENGLES_CTX_H__

typedef struct opengles_ctx opengles_ctx_t;

int opengles_ctx_create(opengles_ctx_t **pp_ctx);

void opengles_ctx_release(opengles_ctx_t **pp_ctx);

int opengles_ctx_draw_yuv420p(opengles_ctx_t *gles, int width, int height,
                              const char *y, const char *u, const char *v,
                              int y_stride, int u_stride, int v_stride);
#endif